#
# spec file for package deepin-media-player
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           deepin-media-player
Summary:        Deepin Media Playe 
Version:        2.0git20121115
Release:        1.1
License:        GPL-3.0
BuildArch:      noarch
Url:            https://github.com/linuxdeepin/deepin-media-player
Group:          Productivity/Multimedia/Video/Players
Source0:        %{name}-%{version}.tar.gz
Source1:        deepin-media-player.desktop
Source2:        deepin-media-player.png
Patch0:         deepin-media-player-fix-mplayer2.patch
BuildRequires:  update-desktop-files
BuildRequires:  python-devel
BuildRequires:  fdupes 
Requires:       deepin-ui
Requires:       python-pyquery 
Requires:       python-mutagen 
Requires:       python-scipy 
Requires:       python-chardet 
Requires:       python-imaging 
Requires:       python-FormEncode
Requires:       mplayer2
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
New multimedia player with brilliant and tweakful UI.PyGtk and Deepin-ui 
Mplayer2 front-end, with features likes smplayer, but has a brilliant 
and tweakful UI.

%lang_package

%prep
%setup -q 
%patch0 -p1

%build
chmod 644 AUTHORS
chmod 644 COPYING
chmod 644 README
cd locale
rm -rf *.po
rm -rf deepin-media-player.pot
cd ../src
chmod 755 *.py
cd ../tools
chmod 755 *.py

%install
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/icons
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{_bindir}
cp %{S:1} %{buildroot}/%{_datadir}/applications/
cp %{S:2} %{buildroot}/%{_datadir}/icons/
cp -R locale %{buildroot}/%{_datadir}
cp -R app_theme %{buildroot}/%{_datadir}/%{name}
cp -R skin %{buildroot}/%{_datadir}/%{name}
cp -R src %{buildroot}/%{_datadir}/%{name}

%fdupes %{buildroot}
%find_lang %{name}

%suse_update_desktop_file -r %{name} Player AudioVideo

cd %{buildroot}/%{_bindir}
ln -s ../share/%{name}/src/main.py %{name}


%files 
%defattr(-, root, root, -)
%doc AUTHORS COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/%{name}
%{_bindir}/%{name}

%files lang -f %{name}.lang


%changelog
* Mon Dec 17 2012 hillwood@linuxfans.org
- update to 2.0git20121115, see more at http://goo.gl/mIk8b
- fix mplayer2 command
* Sat Oct  6 2012 hillwood@linuxfans.org
- Update to 1.0.2git20120911
  * Add new subtitles functions
  Subtitles Search
  Subtitle Selection
    Subtitles manually load
    Subtitles resizing
    Subtitle synchronization functions
    Subtitles progress trim
- Fix desktop Categories
* Tue Sep  4 2012 hillwood@linuxfans.org
- Initial package 1.0git20120817
